EULB-CREATE-LB-LISTENERS(1)

NAME
eulb-create-lb-listeners - Add one or more listeners to a load balancer

SYNOPSIS
eulb-create-lb-listeners -l "lb-port=PORT,

protocol={HTTP,HTTPS,SSL,TCP},
    instance-port=PORT, instance-protocol={HTTP,HTTPS,SSL,TCP}, cert-id=ARN" [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] ELB

DESCRIPTION
Add one or more listeners to a load balancer

  positional arguments:

ELB name of the load balancer to modify (required)

  optional arguments:

-l "lb-port=PORT, protocol={HTTP,HTTPS,SSL,TCP}, instance-port=PORT, instance-protocol={HTTP,HTTPS,SSL,TCP}, cert-id=ARN", --listener "lb-port=PORT, protocol={HTTP,HTTPS,SSL,TCP}, instance-port=PORT, instance-protocol={HTTP,HTTPS,SSL,TCP}, cert-id=ARN"
    port/protocol settings for the load balancer, where lb-port is the external port number, protocol is the external protocol, instance-port is the back end server port number, instance-protocol is the protocol to use for routing traffic to back end instances, and cert-id is the ARN of the server certificate to use for encrypted connections. lb-port, protocol, and instance-port are required. This option may be used multiple times. (at least 1 required)

-U URL, --url URL
    load balancing service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit